Subject: [ANN] Re: cyg-wrapper.sh
From: Luc Hermitte <[email-masked]>
To: Matt Armstrong <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Dec 2002 17:16:49 +0100

* On Mon, Dec 16, 2002 at 05:12:56PM -0700, Matt Armstrong <[email-masked]> wrote:
> >     --cyg-PWD-clear   : to unset PWD 
> >     --cyg-PWD-convert : to convert PWD to its DOS (short) form.
> >
> > I was considering to handle other environment variables, but I
> > didn't see any good candidate -- ie. environment variables specific
> > to bash or cygwin that win32 native applications may also use.
> 
> SHELL.
> 
> The solution was to clear the SHELL env var, since I didn't want emacs
> using my cygwin shell.

It is possible to alias emacs to:
    alias emacs='(unset SHELL; cygwrapper.sh path-to-emacs ...)'

> HOME is also probably a good idea to convert into DOS form.

That's odd. $HOME correctly appear with Vim.

Any way, --cyg-PWD-clear and --cyg-PWD-convert have been replaced with:
--cyg-env-clear=ENV-VARS and --cyg-env-convert=ENV-VARS.

So, you can write now:
    alias prog='cyg-wrapper.sh path-to-prog
	--cyg-env-convert=PWD,SHELL --cyg-env-convert=HOME'

However, I have a bug: "--cyg-env-convert=HOMEPATH" works fine,
"--cyg-env-clear=PWD" works fine too, but "--cyg-env-convert=HOMEPATH"
does not have any consequences... As well as "(unset HOMEPATH;gvim)". I
guess that HOMEPATH got a special traitment from cygwin or bash.

Does list of directories needs to be converted also ? I know PATH
appears correctly converted from Vim. Is is the same with the other
tools, or is it Vim, as I suspect, that opers the convertion ?

-- 
Luc Hermitte
http://hermitte.free.fr/cygwin/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/